# WallGraphics

#### new Cesium.WallGraphics(options)
engine/Source/DataSources/WallGraphics.js 39

Describes a two dimensional wall defined as a line strip and optional maximum and minimum heights. The wall conforms to the curvature of the globe and can be placed along the surface or at altitude.

Name | Type | Description
--- | --- | ---
`options` | WallGraphics.ConstructorOptions | optional Object describing initialization options

##### Demo:

- Cesium Sandcastle Wall Demo

##### See:

- Entity

### Members

#### readonly definitionChanged : Event
engine/Source/DataSources/WallGraphics.js 77

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property|undefined
engine/Source/DataSources/WallGraphics.js 179

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this wall will be displayed.

#### fill : Property|undefined
engine/Source/DataSources/WallGraphics.js 128

Gets or sets the boolean Property specifying whether the wall is filled with the provided material.

Default Value: `true`

#### granularity : Property|undefined
engine/Source/DataSources/WallGraphics.js 120

Gets or sets the numeric Property specifying the angular distance between points on the wall.

Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`

#### material : MaterialProperty
engine/Source/DataSources/WallGraphics.js 136

Gets or sets the Property specifying the material used to fill the wall.

Default Value: `Color.WHITE`

#### maximumHeights : Property|undefined
engine/Source/DataSources/WallGraphics.js 112

Gets or sets the Property specifying an array of heights to be used for the top of the wall instead of the height of each position. If defined, the array must be the same length as `Wall#positions`.

#### minimumHeights : Property|undefined
engine/Source/DataSources/WallGraphics.js 104

Gets or sets the Property specifying an array of heights to be used for the bottom of the wall instead of the surface of the globe. If defined, the array must be the same length as `Wall#positions`.

#### outline : Property|undefined
engine/Source/DataSources/WallGraphics.js 144

Gets or sets the Property specifying whether the wall is outlined.

Default Value: `false`

#### outlineColor : Property|undefined
engine/Source/DataSources/WallGraphics.js 152

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
engine/Source/DataSources/WallGraphics.js 163

Gets or sets the numeric Property specifying the width of the outline.

Note: This property will be ignored on all major browsers on Windows platforms. For details, see (@link https://github.com/CesiumGS/cesium/issues/40}.

Default Value: `1.0`

#### positions : Property|undefined
engine/Source/DataSources/WallGraphics.js 96

Gets or sets the Property specifying the array of `Cartesian3` positions which define the top of the wall.

#### shadows : Property|undefined
engine/Source/DataSources/WallGraphics.js 172

Get or sets the enum Property specifying whether the wall casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### show : Property|undefined
engine/Source/DataSources/WallGraphics.js 89

Gets or sets the boolean Property specifying the visibility of the wall.

Default Value: `true`

### Methods

#### clone(result) → WallGraphics
engine/Source/DataSources/WallGraphics.js 190

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | WallGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
engine/Source/DataSources/WallGraphics.js 215

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | WallGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.WallGraphics.ConstructorOptions
engine/Source/DataSources/WallGraphics.js 8

Initialization options for the WallGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the wall.
`positions` | Property | Array.<Cartesian3> | <optional> |  | A Property specifying the array of `Cartesian3` positions which define the top of the wall.
`minimumHeights` | Property | Array.<number> | <optional> |  | A Property specifying an array of heights to be used for the bottom of the wall instead of the globe surface.
`maximumHeights` | Property | Array.<number> | <optional> |  | A Property specifying an array of heights to be used for the top of the wall instead of the height of each position.
`granularity` | Property | number | <optional> | Cesium.Math.RADIANS_PER_DEGREE | A numeric Property specifying the angular distance between each latitude and longitude point.
`fill` | Property | boolean | <optional> | true | A boolean Property specifying whether the wall is filled with the provided material.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to fill the wall.
`outline` | Property | boolean | <optional> | false | A boolean Property specifying whether the wall is outlined.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 1.0 | A numeric Property specifying the width of the outline.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the wall casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this wall will be displayed.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.